/** 
 * Method listings for the StockService (agent AIP) and StockClient interfaces.
 */
class StockInterfaces {

    public static var name = "StockWatcherService";
         
	public static var interfaces = {
		Client: [
			"refreshPods",
			"setCompany",
			"setLastUpdate"
		],
        Server: [
			"think",
			"getLastUpdate",
			
			"stockSearch",
			"getCompany",
			"addCompany",
			"removeCompany",
			"updateCompany",
			
			"addRule",
			"removeRule",
			"saveRule",
			
			"deleteStorage"
        ]
    }
}


